Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class ServiceReferenceProviderInfoComparator

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.cxf.ServiceReferenceProviderInfoComparator

All Implemented Interfaces:
  `Comparator<org.apache.cxf.jaxrs.model.ProviderInfo<?>>`

    public class ServiceReferenceProviderInfoComparator
    extends Object
    implements Comparator<org.apache.cxf.jaxrs.model.ProviderInfo<?>>

### Constructor Summary

Constructors
`ServiceReferenceProviderInfoComparator​(org.apache.cxf.jaxrs.provider.ProviderFactory.ProviderInfoClassComparator providerInfoClassComparator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(org.apache.cxf.jaxrs.model.ProviderInfo<?> pi1, org.apache.cxf.jaxrs.model.ProviderInfo<?> pi2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ServiceReferenceProviderInfoComparator

    public ServiceReferenceProviderInfoComparator​(org.apache.cxf.jaxrs.provider.ProviderFactory.ProviderInfoClassComparator providerInfoClassComparator)

### Method Detail

#### compare

    public int compare​(org.apache.cxf.jaxrs.model.ProviderInfo<?> pi1,
                       org.apache.cxf.jaxrs.model.ProviderInfo<?> pi2)

Specified by:
  `compare` in interface `Comparator<org.apache.cxf.jaxrs.model.ProviderInfo<?>>`